namespace efl { namespace canvas { 
inline  ::efl::canvas::Object Proxy::source_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::efl_canvas_proxy_source_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline bool Proxy::source_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type src) const
{
   Eina_Bool __return_value =  ::efl_canvas_proxy_source_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(src));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Proxy::source_clip_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_proxy_source_clip_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Proxy::source_clip_set( ::efl::eolian::in_traits<bool>::type source_clip) const
{
    ::efl_canvas_proxy_source_clip_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(source_clip));
}
inline bool Proxy::source_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_proxy_source_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Proxy::source_events_set( ::efl::eolian::in_traits<bool>::type repeat) const
{
    ::efl_canvas_proxy_source_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(repeat));
}
} } 
namespace eo_cxx {
namespace efl { namespace canvas { 
inline  ::efl::canvas::Object Proxy::source_get() const
{
    ::Efl_Canvas_Object* __return_value =  ::efl_canvas_proxy_source_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::canvas::Object>(__return_value);
}
inline bool Proxy::source_set( ::efl::eolian::in_traits< ::efl::canvas::Object>::type src) const
{
   Eina_Bool __return_value =  ::efl_canvas_proxy_source_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(src));
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline bool Proxy::source_clip_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_proxy_source_clip_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Proxy::source_clip_set( ::efl::eolian::in_traits<bool>::type source_clip) const
{
    ::efl_canvas_proxy_source_clip_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(source_clip));
}
inline bool Proxy::source_events_get() const
{
   Eina_Bool __return_value =  ::efl_canvas_proxy_source_events_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return<bool>(__return_value);
}
inline void Proxy::source_events_set( ::efl::eolian::in_traits<bool>::type repeat) const
{
    ::efl_canvas_proxy_source_events_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(repeat));
}
inline efl::canvas::Proxy::operator ::efl::canvas::Proxy() const { return *static_cast< ::efl::canvas::Proxy const*>(static_cast<void const*>(this)); }
inline efl::canvas::Proxy::operator ::efl::canvas::Proxy&() { return *static_cast< ::efl::canvas::Proxy*>(static_cast<void*>(this)); }
inline efl::canvas::Proxy::operator ::efl::canvas::Proxy const&() const { return *static_cast< ::efl::canvas::Proxy const*>(static_cast<void const*>(this)); }
} } }

